Bug 429353 - Lockscreen doesn't resize to full screen after rotation of screen
Summary: Lockscreen doesn't resize to full screen after rotation of screen
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: wayland-generic (show other bugs)
Version: git master
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-19 15:52 UTC by Bhushan Shah
Modified: 2020-11-28 04:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.21


Attachments
broken lockscreen (65.62 KB, image/jpeg)
2020-11-19 15:53 UTC, Bhushan Shah
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bhushan Shah 2020-11-19 15:52:26 UTC
SUMMARY

This seems to happen on the phone, where rotating phone lockscreen doesn't properly resize.

STEPS TO REPRODUCE
1. Start PlaMo session
2. Lock
3. Rotate phone

OBSERVED RESULT

You got broken UI

EXPECTED RESULT

Lockscreen resizes in any orientation
Comment 1 Bhushan Shah 2020-11-19 15:53:28 UTC
Created attachment 133460 [details]
broken lockscreen
Comment 2 Vlad Zahorodnii 2020-11-27 08:19:04 UTC
Git commit 7f4d1120c56e96577e4fb43de167c06b5d57385e by Vlad Zahorodnii, on behalf of Aleix Pol.
Committed on 27/11/2020 at 08:18.
Pushed by vladz into branch 'master'.

Have clients where we've set their position as non-placeable

If the client opted to position them on purpose, don't move them around.
If the geometry of the workspace changes it's their job to react
accordingly.

M  +5    -0    xdgshellclient.cpp
M  +1    -0    xdgshellclient.h

https://invent.kde.org/plasma/kwin/commit/7f4d1120c56e96577e4fb43de167c06b5d57385e